import request from '@/utils/request'

// 查询小程序日数据统计列表
export function listSysMiniappDailyVisit (query) {
  return request({
    url: '/system/sysMiniappDailyVisit/list',
    method: 'get',
    params: query
  })
}

// 查询小程序日数据统计详细
export function getSysMiniappDailyVisit (id) {
  return request({
    url: '/system/sysMiniappDailyVisit/' + id,
    method: 'get'
  })
}

// 新增小程序日数据统计
export function addSysMiniappDailyVisit (data) {
  return request({
    url: '/system/sysMiniappDailyVisit',
    method: 'post',
    data: data
  })
}

// 修改小程序日数据统计
export function updateSysMiniappDailyVisit (data) {
  return request({
    url: '/system/sysMiniappDailyVisit',
    method: 'put',
    data: data
  })
}

// 删除小程序日数据统计
export function delSysMiniappDailyVisit (id) {
  return request({
    url: '/system/sysMiniappDailyVisit/' + id,
    method: 'delete'
  })
}

// 导出小程序日数据统计
export function exportSysMiniappDailyVisit (query) {
  return request({
    url: '/system/sysMiniappDailyVisit/export',
    method: 'get',
    params: query
  })
}

// 获取初始化数据
export function getInitData (dictTypes) {
  return request({
    url: '/system/sysMiniappDailyVisit/getInitData/' + dictTypes,
    method: 'get'
  })
}

// 首页折线图小程序统计数据
export function getSysMiniappDailyVisitStatist (statisticsType) {
  return request({
    url: '/system/sysMiniappDailyVisit/getSysMiniappDailyVisit/' + statisticsType,
    method: 'get'
  })
}
